SearchDenials
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SpendInsights.SearchDenials(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchDenialsResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/spend-insights/denials/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"authorityId": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"scopeAppId": "<string>",
"scopeUserId": "<string>",
"startTime": "2023-11-07T05:31:56Z"
},
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/spend-insights/denials/search"
payload = {
"filters": {
"authorityId": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"scopeAppId": "<string>",
"scopeUserId": "<string>",
"startTime": "2023-11-07T05:31:56Z"
},
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
authorityId: '<string>',
endTime: '2023-11-07T05:31:56Z',
scopeAppId: '<string>',
scopeUserId: '<string>',
startTime: '2023-11-07T05:31:56Z'
},
pageSize: 123,
pageToken: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/spend-insights/denials/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"episodes": [
{
"attemptCount": "<string>",
"authorityId": "<string>",
"authorityKind": "AUTHORITY_KIND_UNSPECIFIED",
"authorityVersion": "<string>",
"blockId": "<string>",
"budgetKey": "<string>",
"closedAt": "2023-11-07T05:31:56Z",
"firstDeniedAt": "2023-11-07T05:31:56Z",
"lastDeniedAt": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"periodKey": "<string>",
"periodKind": "PERIOD_KIND_UNSPECIFIED",
"periodStart": "2023-11-07T05:31:56Z",
"reason": "DENY_REASON_UNSPECIFIED",
"requestTaskId": "<string>",
"requestTaskState": "TICKET_STATE_UNSPECIFIED",
"scopeAppId": "<string>",
"scopeKind": "SPEND_BLOCK_SCOPE_KIND_UNSPECIFIED",
"scopeUserId": "<string>",
"state": "SPEND_BLOCK_STATE_UNSPECIFIED"
}
],
"nextPageToken": "<string>"
}Spend Insights
Search Denials
Search budget-denial episodes for the organization within a time window. Requires the denial-read permission.
POST
/
api
/
v1
/
spend-insights
/
denials
/
search
SearchDenials
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SpendInsights.SearchDenials(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchDenialsResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
SearchDenialsRequest specifies denial filters and pagination.
Response
200 - application/json
SearchDenialsResponse contains one page of denial episodes.
Was this page helpful?